package com.zd.iot.vmp.gb28181.event.online;

import com.zd.iot.vmp.gb28181.bean.Device;
import org.springframework.context.ApplicationEvent;

/**
 * @Description: 在线事件类
 * @author: dgs
 * @date:   2020年5月6日 上午11:32:56
 */
public class OnlineEvent extends ApplicationEvent {

	/**
	 *
	 */
	private static final long serialVersionUID = 1L;

	public OnlineEvent(Object source) {
		super(source);
	}

	private Device device;

	private String from;

	public Device getDevice() {
		return device;
	}

	public void setDevice(Device device) {
		this.device = device;
	}

	public String getFrom() {
		return from;
	}

	public void setFrom(String from) {
		this.from = from;
	}

}
